<template>
    <div class="bbsl-common-page">
        <div class="bbsl-table-search">
            <el-form v-model="queryParam" :inline="true">
                            <el-form-item label="发车日期">
                    <el-input
                        clearable
                        placeholder="请输入发车日期"
                        v-model="querys[0].value"
                    />
                 </el-form-item>
                <el-form-item label="班次号">
                    <el-input
                        clearable
                        placeholder="请输入班次号"
                        v-model="querys[1].value"
                    />
                 </el-form-item>
                <el-form-item label="线路名称">
                    <el-input
                        clearable
                        placeholder="请输入线路名称"
                        v-model="querys[2].value"
                    />
                 </el-form-item>
                <el-form-item label="车牌号">
                    <el-input
                        clearable
                        placeholder="请输入车牌号"
                        v-model="querys[3].value"
                    />
                 </el-form-item>
            <el-form-item>
                <el-button
                    type="primary"
                    icon="el-icon-search"
                    @click="handleSearch"
                    >搜索</el-button
                >
                <el-button
                    icon="el-icon-refresh"
                    @click="handleReset"
                    >重置</el-button
                >
            </el-form-item>
            </el-form>
        </div>
        <div class="bbsl-table-content" ref="contentPanel">
            <div class="bbsl-btn-content" ref="btnPanel">
                <el-button icon="el-icon-plus" type="primary" @click="handleAdd"
                    >新增</el-button
                >
                <el-popconfirm
                    title="确定删除选中数据吗？"
                    @confirm="handleDelete"
                >
                    <el-button
                        slot="reference"
                        :disabled="!multipleSelection.length"
                        icon="el-icon-delete"
                        type="danger"
                        style="margin-left: 10px"
                        >删除</el-button
                    >
                </el-popconfirm>
            </div>
            <el-table
                border
                size="mini"
                v-loading="loading"
                ref="multipleSelection"
                :data="tableData"
                :style="{width: '100%'}"
                :max-height="tableMaxHeight"
                :cell-style="{'text-align': 'center'}"
                :header-cell-style="{'text-align': 'center'}"
                @row-dblclick="handleDbClick"
                @selection-change="handleSelectionChange"
            >
                <el-table-column type="selection" width="55"></el-table-column>
                <el-table-column
                    fixed
                    type="index"
                    width="55"
                    label="序号"
                ></el-table-column>

                      <el-table-column
                          
                          fixed
                          sortable
                          prop="departureDate"
                          label="发车日期"
                          show-overflow-tooltip
                      ></el-table-column>


                      <el-table-column
                          
                          fixed
                          sortable
                          prop="shiftNumber"
                          label="班次号"
                          show-overflow-tooltip
                      ></el-table-column>


                      <el-table-column
                          
                          fixed
                          sortable
                          prop="lineName"
                          label="线路名称"
                          show-overflow-tooltip
                      ></el-table-column>


                      <el-table-column
                          
                          fixed
                          sortable
                          prop="numberPlate"
                          label="车牌号"
                          show-overflow-tooltip
                      ></el-table-column>


                      <el-table-column
                          
                          fixed
                          sortable
                          prop="seat"
                          label="席位数"
                          show-overflow-tooltip
                      ></el-table-column>


                      <el-table-column
                          
                          fixed
                          sortable
                          prop="departureTime"
                          label="发车时间"
                          show-overflow-tooltip
                      ></el-table-column>


                      <el-table-column
                          
                          fixed
                          sortable
                          prop="departureSite"
                          label="出发站点"
                          show-overflow-tooltip
                      ></el-table-column>


                      <el-table-column
                          
                          fixed
                          sortable
                          prop="ticketsPurchased"
                          label="已售票数"
                          show-overflow-tooltip
                      ></el-table-column>


                      <el-table-column
                          
                          fixed
                          sortable
                          prop="checked"
                          label="已检票乘客数"
                          show-overflow-tooltip
                      ></el-table-column>


                      <el-table-column
                          
                          fixed
                          sortable
                          prop="executeFare"
                          label="执行票价"
                          show-overflow-tooltip
                      ></el-table-column>


                      <el-table-column
                          
                          fixed
                          sortable
                          prop="createTime"
                          label="创建时间"
                          show-overflow-tooltip
                      ></el-table-column>

            </el-table>
            <el-pagination
                align="right"
                background
                class="bbsl-pagination"
                ref="paginationPanel"
                @size-change="handleSizeChange"
                @current-change="handleCurrentChange"
                :current-page="queryParam.pageBean.page"
                :page-sizes="[20, 30, 40, 50]"
                :page-size="queryParam.pageBean.pageSize"
                layout="total, sizes, prev, pager, next, jumper"
                :total="total"
            ></el-pagination>
        </div>
        <DwdSjBusDepartedFormDialog ref="formModal"></DwdSjBusDepartedFormDialog>
    </div>
</template>

<script>
import {TableMixin} from '@/mixins/tableMixin'
import dictUtils from '@/components/dict/DictSelectUtils.js'
import dictContracts from '@/components/dict/DictSelectUtils.js'
import CommonApi from '@/views/Manage/CommonApi.js'
import DwdSjBusDepartedApi from '@/views/Manage/dwd/api/DwdSjBusDepartedApi'
import DwdSjBusDepartedFormDialog from '@/views/Manage/dwd/components/DwdSjBusDepartedFormDialog'


export default {
  name: 'DwdSjBusDepartedManage',
  components: {
    DwdSjBusDepartedFormDialog
  },
  mixins: [TableMixin],
  data() {
    return {
      url: {
        delete: '/manager/dwdSjBusDeparted/delete'
      },
      querys: [


       {
          group: 'main',
          operation: 'EQUAL',
          parentGroup: '',
          property: 'departure_date',
          relation: 'AND',
          value: ''
        },

       {
          group: 'main',
          operation:  'LIKE',
          parentGroup: '',
          property: 'shift_number',
          relation: 'AND',
          value: ''
        },

       {
          group: 'main',
          operation:  'LIKE',
          parentGroup: '',
          property: 'line_name',
          relation: 'AND',
          value: ''
        },

       {
          group: 'main',
          operation:  'LIKE',
          parentGroup: '',
          property: 'number_plate',
          relation: 'AND',
          value: ''
        },
      ],
      StshowFormDias: false,
	  fuelTypes: []
    }
  },
  created() {
  },
  mounted() {

  },
  methods: {
    // 重置
    clearQuerys() {
           this.querys[0].value = ''
           this.querys[1].value = ''
           this.querys[2].value = ''
           this.querys[3].value = ''
    },
    // 获取list
    loadData(page) {
      if (page) {
        this.queryParam.pageBean.page = page
      }
      this.loading = true
      this.tableData = []
      this.queryParam.sorter = [
        {
          direction: 'DESC',
          property: 'create_time_'
        }
      ]
      this.queryParam.querys = []

           if (this.querys[0].value) {
              this.queryParam.querys.push(this.querys[0])
           }
           if (this.querys[1].value) {
              this.queryParam.querys.push(this.querys[1])
           }
           if (this.querys[2].value) {
              this.queryParam.querys.push(this.querys[2])
           }
           if (this.querys[3].value) {
              this.queryParam.querys.push(this.querys[3])
           }
      DwdSjBusDepartedApi.loadDwdSjBusDeparted(this.queryParam, res => {
        //console.log(res, 'res')
        this.total = res.total
        this.tableData = res.rows
        this.$set(this.tableData)
        this.loading = false
      })
    },
    // 修改
    handleUpdate(row) {
      console.log(row.id)
      this.$refs.formModal.Update(row)
    },
    // 关联设备
    // handleClick(item) {
    //   console.log(item.id)
    //   this.StshowFormDias = true
    // },
    closeStshowForm() {
      this.StshowFormDias = false
    }
  }
}
</script>
<style lang="scss" scoped>
.type-tag{
    margin: 0 2px;
}
</style>